import 'package:equatable/equatable.dart';

class ProfileResponse extends Equatable {
  const ProfileResponse({
    this.fullname,
    this.phoneNumber,
    this.email,
    this.ucode,
  });

  factory ProfileResponse.fromJson(dynamic json) {
    return ProfileResponse(
      fullname: json['fullname'],
      phoneNumber: json['phone_number'],
      email: json['email'],
      ucode: json['ucode'],
    );
  }

  final String? fullname;
  final String? phoneNumber;
  final String? email;
  final String? ucode;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['fullname'] = fullname;
    map['phone_number'] = phoneNumber;
    map['email'] = email;
    map['ucode'] = ucode;
    return map;
  }

  @override
  List<Object?> get props => [fullname, phoneNumber, email, ucode];
}
